Skip to main content

Import the compromise scenario catalog

POST
/compromised-host/catalog/import

Validate the entire versioned .pa package and atomically install a new file generation, keeping the IDs of already known campaigns by sourceName/sourceScenarioId.

Contract

Parameter
Value
Sectioncompromised-host
AuthenticationCookieAuth
Consumesmultipart/form-data
Producesapplication/json

Parameters

1 parameter

Name
Location
Required
Type
Description
fileformDatayesfile.pa catalog up to 128 MiB
  • {}

Responses

4 responses

Status
Description
Type
200
Catalog installedobject
400
Invalid archive, manifest, schema, or checksumobject
401
Unauthorizedobject
500
Failed to install the catalog atomicallyobject
  • {
      "active": true,
      "archiveSha256": "<string>",
      "builtAt": "<string>",
      "campaignCount": 0,
      "campaignsImported": 0,
      "campaignsRemoved": 0,
      "campaignsUpdated": 0,
      "contentSha256": "<string>",
      "createdAt": "<string>",
      "fileName": "<string>",
      "id": 0,
      "issuerID": 0,
      "managedSources": [
        "<string>"
      ],
      "size": 0,
      "version": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }
  • {
      "data": {},
      "error": "<string>"
    }